<div class="row">
  <div class="col-12">
      <div class="d-flex flex-row my-3">
          <div class="bluey-grey bm-label-14 patient-sub-tab d-none d-md-block">
              <div class="d-flex flex-row">
                  <div class="px-4 bm-pointer py-2" ui-sref="prescription.new" ui-sref-active-eq="active">Patient Selection</div>
                  <div class="px-4 bm-pointer py-2" ui-sref="prescription.medication" ui-sref-active-eq="active">Medication Details</div>
                  <div class="px-4 bm-pointer py-2" ui-sref="prescription.confirmation" ui-sref-active-eq="active">Confirmation</div>
              </div>
          </div>
      </div>
  </div>
</div>
<div class="prescription-confirmation prescription  ">
  <section class="section-1">
    <h1 class="h1">1. Patient Information</h1>
    <div class="mb-4" style="margin-bottom: 100px;">
      <div class="border p-3">
        <div>
          <label class="label-1">
            Patient Details
          </label>
          <div class="d-flex direction-row flex-wrap">

            <div class="profile-pic pl-2 mr-3">
              <img class="profile-pic" style="border-radius: 50%;" src="../../../images/Profile-Picture.svg">
            </div>
            <div>
              <div class="row" style="width:24rem">

                <div class="bm-label-24 dark-grey-blue pt-4 px-3">
                  <b>{{$ctrl.patient.patient_name}}</b>
                </div>
                <div class="bm-label-16 dark-grey-blue">
                  <div class="gender-field">
                    {{$ctrl.patient.gender.name}}, {{$ctrl.patient.age}}</div>
                </div>
              </div>

              <div class="row ml-1 ">
                <span class="mx-2 flag-icon flag-icon-{{$ctrl.country_code[0].toLowerCase()}}"></span>
                <div><img style="margin-bottom: 3px;" src="../../../images/IC.svg" /></div>
                <div class="row ml-2 dark-grey-blue">
                  <div>NRIC</div>
                  <div class="ml-2">{{$ctrl.patient.ic_number}}</div>
                </div>
              </div>
              <div class="row mt-2 dark-grey-blue">
                <div class="row" style="margin-left: 5%;">
                  <div>DOB:</div>
                  <div class="ml-2">{{$ctrl.patient.birth_date}}</div>
                </div>
                <div class="row ml-5" ng-if="$ctrl.patient.ethnic != null">
                  <div>Ethincity:</div>
                  <div>{{$ctrl.patient.ethnic}}</div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  <section class="section-2">
    <h1 class="h1">2. Patient Prescription Card</h1>
    <div class="align-items-center my-4">
      <div ng-repeat="file in $ctrl.image_files" class="d-flex">
        <div class="row">
          <div class="col-12">
            <div class="d-flex flex-row">
              <div class="d-flex align-items-center my-4">
                <img src="../../../images/attachment.png" alt="attachment">
                <p>{{file.filename}}</p>
                <button class="view-btn">
                  View
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  <section class="section-3">
    <h1 class="h1">3. Medication Details </h1>
    <div class="allergy-health">
      <div class="medication-allergy">
        <label class="label-1">Medication Allergy(ies)</label>
        <div class="suto-suggest-1" ng-click="$ctrl.openInput('allergyInp')" id="allergies">
          <div class="d-flex flex-row flex-wrap ml-2 p-1">
            <div ng-repeat="a in $ctrl.prescription.selectedAllergies track by $index">
              <div class="tag mr-2 d-flex justify-content-center mt-2">
                  <div class="dark-grey-blue mr-2 mb-2">{{a}} </div>
              </div>
            </div>
          </div>
        </div>
        <textarea ng-model="$ctrl.prescription.allergies_remarks" class="remarks w-90" placeholder="Remarks"></textarea>
        </div>

      <div class="health-conditions">
        <label for="" class="label-1">Health Conditions</label>
        <div class="suto-suggest-2" ng-click="$ctrl.openInput('conditionInp')" id="conditions">
          <div class="d-flex flex-row flex-wrap ml-2 p-1">
              <div ng-repeat="a in $ctrl.prescription.selectedConditions track by $index">
                  <div class="tag d-flex justify-content-center mr-2 mt-2">
                      <div class="mr-2 mb-2">{{a}} </div>
                  </div>
              </div>
          </div>
        </div>
        <textarea ng-model="$ctrl.prescription.condition_remarks" class="remarks w-95" placeholder="Remarks"></textarea>
      </div>
    </div>
  </section>

  <section class="section-4" >
    <h1 class="h1">4. Medication Prescribed</h1>
    <div class="medication-container">
      <div class="medication-header">
        <span class="label-1">MEDICATION</span>
        <span class="label-1 text-center">ADMINISTRATION TIME & DOSAGE</span>
        <span class="label-1 text-center">HALF TABLET</span>
        <span class="label-1 text-center">AFTER MEAL</span>
        <span class="label-1 text-center">DURATION</span>
        <span class="text-center">
          <img class="pointer" src="../../../images/filter-icon.svg" alt="filter" />
        </span>
      </div>
      <div ng-class="{ 'div-disabled': $ctrl.medication_data}">
        <div class="medication-details" ng-repeat="medicine in $ctrl.medication_data">
          <span class="label-2 mt-4">{{medicine.medicine_name}}</span>
          <div class="d-flex align-items-center justify-content-around">
            <div>
              <span class="label-2 text-center">Morning </span>
              <div class="d-flex align-items-center">
                <!-- <button class="decrement">
                  <img src="../../../images/minus.svg" alt="decrement">
                </button> -->
                <input type="number" name="count" ng-model="medicine.morning" class="input-number" />
                <!-- <button class="increment">
                  <img src="../../../images/add.svg" alt="increment">
                </button> -->
              </div>
            </div>
  
            <div>
              <span class="label-2 text-center">Afternoon </span>
              <div class="d-flex align-items-center">
                <!-- <button class="decrement">
                  <img src="../../../images/minus.svg" alt="decrement">
                </button> -->
                <input type="number" name="count" ng-model="medicine.afternoon" class="input-number" />
                <!-- <button class="increment">
                  <img src="../../../images/add.svg" alt="increment">
                </button> -->
              </div>
            </div>
  
            <div>
              <span class="label-2 text-center">Evening </span>
              <div class="d-flex align-items-center">
                <!-- <button class="decrement">
                  <img src="../../../images/minus.svg" alt="decrement">
                </button> -->
                <input type="number" name="count" ng-model="medicine.evening" class="input-number" />
                <!-- <button class="increment">
                  <img src="../../../images/add.svg" alt="increment">
                </button> -->
              </div>
            </div>
          </div>
  
          <div class="custom-checkbox text-center mt-4">
            <input type="checkbox" id="half-tablet_{{$index}}" ng-model="medicine.half_tablet">
            <label for="half-tablet_{{$index}}"></label>
          </div>
  
  
          <div class="d-flex align-items-center justify-content-center mt-4">
            <select class="custom-select fix" ng-model="medicine.eat_instruction" ng-change="$ctrl.updateMeal($index, medicine.eat_instruction)">
              <option value="{{meal.id}}" ng-repeat="meal in $ctrl.mealOptions" ng-selected="medicine.eat_instruction == type.id" >
                {{meal.name}}</option>
            </select>
          </div>

          <div class="d-flex align-items-center justify-content-center mt-4">
            <input type="number" class="input-number" ng-model="medicine.duration_count"/>
            <select class="custom-select" ng-model="medicine.duration_value" ng-change="$ctrl.update($index, medicine.duration_value)">
              <option value="{{type.name}}" ng-repeat="type in $ctrl.durationTypes" ng-selected="medicine.duration_value == type.name" >
                {{type.name}}</option>
            </select>
          </div>
        </div>
      </div>
    </div>
  </section>

  <section class="section-5">
    <div class="d-flex justify-content-between">
      <h1 class="h1">5. Remarks</h1>
      <div class="error-text">
        <p class="text-center">*Please return to the previous screen to edit</p>
      </div>
    </div>
    <div class="ml-20">
      <p class="p1">Please review or provide additional remarks before submission.
        You may also click on each of the previous step to make changes.</p>
      <textarea class="remarks" placeholder="Remarks" ng-model="$ctrl.remarks"></textarea>
    </div>
    <div class="btn-group">
      <button class="custom-btn back-btn"  ng-click="$ctrl.back()">Back</button>
      <button class="custom-btn submit-btn" ng-click="$ctrl.submit()">Submit</button>
    </div>
  </section>
</div>

<div class="biomark-popup-error" ng-if="$ctrl.has_error" ng-click="$ctrl.hideErrorPopup()">
	<p style="margin-bottom: 0px">{{$ctrl.error_message}}
		<span class="material-icons md-22" style="position: absolute; right:10px; top:15px; cursor: pointer;" ng-click="pc.close()">close</span>
	</p>
</div>
